Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.item
Class Uri

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.item.Item
                  org.basex.query.item.Str
                      org.basex.query.item.Uri

    public final class Uri

extends Str

URI item.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.expr.Expr
`Expr.Use`

Field Summary
`static Uri` | `EMPTY` Empty URI.

Fields inherited from class org.basex.query.item.Str
`direct, ZERO`

Fields inherited from class org.basex.query.item.Item
`score, type`

Method Summary
`boolean` | `absolute()` Returns if this is an absolute URI.
`boolean` | `eq(Uri uri)` Compares the specified uri.
`Uri` | `resolve(Uri add)` Appends the specified address.
`static Uri` | `uri(byte[] v)` Creates a new uri instance.
`boolean` | `valid()` Checks the validity of this URI.

Methods inherited from class org.basex.query.item.Str
`bool, dbl, dec, diff, eq, flt, get, get, itr, str, toString`

Methods inherited from class org.basex.query.item.Item
`atomic, comp, d, duplicates, ebv, hash, i, iter, iter, java, n, name, node, plan, removable, returned, s, score, score, serialize, size, test, u, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, e, indexAccessible, indexEquivalent, remove, sameAs`

Methods inherited from class org.basex.query.ExprInfo
`color, info`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EMPTY

    public static final Uri EMPTY

  Empty URI.

Method Detail

### uri

    public static Uri uri(byte[] v)

  Creates a new uri instance.

  Parameters:
    `v` - value
  Returns:
    uri instance

### eq

    public boolean eq(Uri uri)

  Compares the specified uri.

  Parameters:
    `uri` - uri to be compared
  Returns:
    result of check

### resolve

    public Uri resolve(Uri add)

  Appends the specified address. If one of the URIs is invalid, the original uri is returned.

  Parameters:
    `add` - address to be appended
  Returns:
    new uri

### absolute

    public boolean absolute()

  Returns if this is an absolute URI.

  Returns:
    result of check

### valid

    public boolean valid()

  Checks the validity of this URI.

  Returns:
    result of check

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD